SEXPP(1)

NAME

sexpp - Read, parse, and print out S-expressions

SYNOPSIS

cat certificate-file | sexpp -a -x

DESCRIPTION

sexpp typically reads an S-expression from standard input and rewrites it to standard output.

Running without switches implies: -p -a -b -c -x

INPUT OPTIONS

-i filename Takes input from file instead of stdin.

-p  Prompts user for console input.

-s  Treat input up to EOF as a single string, instead of parsing.

CONTROL LOOP

The main routine typically reads one S-expression, prints it out again, and stops. This may be modified:

-x  Execute main loop repeatedly until end of file.

OUTPUT OPTIONS

The output format is normally canonical, but this can be changed. More than one output format can be requested at once.

-o filename
    Write output to file instead of stdout.

-a  Write output in advanced transport format.

-b  Write output in base-64 output format.

-c  Write output in canonical format.

-l  Suppress linefeeds after output.

-w width
    Changes line width to specified width (0 implies no line-width constraint). Default: 75

AUTHOR

The sexpp project is maintained by Maxim Samsonov on behalf of Ribose, Inc. It is based on code from Ron Rivest and Butler Lampson. This manual page was written by Daniel Kahn Gillmor for the Debian project, but may be used by others.

SEE ALSO

https://datatracker.ietf.org/doc/draft-rivest-sexp/